package com.hydrogen.applet.config;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;

/**
 * @author fjc
 * @company jh——qm
 * @create 2024-07-23 15:57
 */
@Configuration
public class WeixinConfig {
    @Value("${wx.miniapp.app-id}")
    private String appId;
    @Value("${wx.miniapp.app-secret}")
    private String appSecret;
    @Value("${wx.miniapp.mch-id}")
    private String mchId;
    @Value("${wx.miniapp.msgDataFormat}")
    private String msgDataFormat;
    @Bean
    public WxMaService wxMaService() {
        WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
        config.setAppid(appId);
        config.setSecret(appSecret);
        config.setMsgDataFormat(msgDataFormat);
//        config.setToken(environment.getProperty("wx.miniapp.token"));
//        config.setAesKey(environment.getProperty("wx.miniapp.aesKey"));

        WxMaService service = new WxMaServiceImpl();
        service.setWxMaConfig(config);
        return service;
    }
}
