package com.hydrogen.mbg.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "分页数据")
public class PageBean<T> implements Serializable {

    @ApiModelProperty("当前页码")
    private int pageNum; //当前页码
    //@Expose  gson 没有此注解的生成json时会被排除掉

    @ApiModelProperty("每页显示的页数")
    private int pageSize; // 每页显示的页数

    @ApiModelProperty("当前页的数据集合")
    private List<T> list; //当前页的数据集合

    @ApiModelProperty("总记录数")
    private int total; //总记录数


    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }



}
