package com.hydrogen.mbg.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会员表
 * </p>
 *
 * @author fjc
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("member")
@ApiModel(value="Member对象", description="会员表")
public class Member extends Model<Member> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员编号")
    @TableId(value = "member_id", type = IdType.AUTO)
    private Integer memberId;

    @ApiModelProperty(value = "真实姓名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "会员昵称")
    @TableField("nick_name")
    private String nickName;

    @ApiModelProperty(value = "会员头像")
    @TableField("user_photo")
    private String userPhoto;

    @ApiModelProperty(value = "会员性别：0保密1男2女")
    @TableField("user_sex")
    private Integer userSex;

    @ApiModelProperty(value = "出生日期")
    @TableField("birthday")
    private LocalDate birthday;

    @ApiModelProperty(value = "城市编码")
    @TableField("region_id")
    private Integer regionId;

    @ApiModelProperty(value = "城市名称：如河北省 石家庄 裕华区 ")
    @TableField("region_name")
    private String regionName;

    @ApiModelProperty(value = "手机号码")
    @TableField("phone")
    private String phone;

    @ApiModelProperty(value = "登录密码")
    @TableField("login_pws")
    private String loginPws;

    @ApiModelProperty(value = "银行账户{开户行,名称,账号}")
    @TableField("bank_account")
    private String bankAccount;

    @ApiModelProperty(value = "支付密码")
    @TableField("pay_pws")
    private String payPws;

    @ApiModelProperty(value = "累计充值")
    @TableField("total_recharge")
    private BigDecimal totalRecharge;

    @ApiModelProperty(value = "钱包余额")
    @TableField("balance")
    private BigDecimal balance;

    @ApiModelProperty(value = "氢宝余额")
    @TableField("qingbao")
    private BigDecimal qingbao;

    @ApiModelProperty(value = "累计收益")
    @TableField("toatl_profit")
    private BigDecimal toatlProfit;

    @ApiModelProperty(value = "收益余额")
    @TableField("profit_balance")
    private BigDecimal profitBalance;

    @ApiModelProperty(value = "总积分数")
    @TableField("total_integral")
    private Integer totalIntegral;

    @ApiModelProperty(value = "积分余额")
    @TableField("integral_balance")
    private Integer integralBalance;

    @ApiModelProperty(value = "吸氢时长")
    @TableField("Column_35")
    private String column35;

    @ApiModelProperty(value = "当前排名")
    @TableField("Column_36")
    private String column36;

    @ApiModelProperty(value = "健康标签")
    @TableField("Column_37")
    private String column37;

    @TableField("Column_38")
    private String column38;

    @ApiModelProperty(value = "注册时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "账号状态：0禁用，1开通")
    @TableField("enabled")
    private Boolean enabled;

    @ApiModelProperty(value = "注册终端：1安卓，2苹果，3H5，4小程序")
    @TableField("terminal")
    private Integer terminal;

    @ApiModelProperty(value = "登录时间")
    @TableField("last_login")
    private LocalDateTime lastLogin;

    @ApiModelProperty(value = "散列值号")
    @TableField("salt")
    private String salt;

    @ApiModelProperty(value = "来源渠道：1自由注册，2终端店面，3店内员工，4会员分享，5其他来源")
    @TableField("reg_canal")
    private Integer regCanal;

    @ApiModelProperty(value = "推广人员编号")
    @TableField("parent_uid")
    private Integer parentUid;

    @ApiModelProperty(value = "微信uid")
    @TableField("wx_uid")
    private String wxUid;

    @ApiModelProperty(value = "微信openid")
    @TableField("wx_opid")
    private String wxOpid;

    @ApiModelProperty(value = "小程序openid")
    @TableField("xcx_opid")
    private String xcxOpid;

    @ApiModelProperty(value = "厂商编号")
    @TableField("tenant_id")
    private Integer tenantId;

    @ApiModelProperty(value = "站点编号")
    @TableField("site_id")
    private Integer siteId;

    @ApiModelProperty(value = "渠道编号")
    @TableField("agent_id")
    private Integer agentId;

    @ApiModelProperty(value = "商户编号")
    @TableField("shop_id")
    private Integer shopId;


    @Override
    protected Serializable pkVal() {
        return this.memberId;
    }

}
