package com.hydrogen.mbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 考试表
 * </p>
 *
 * @author zp
 * @since 2024-06-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_exam_system_paper")
@ApiModel(value="Paper对象", description="考试表")
public class Paper extends Model<Paper> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "f_id")
    @TableId(value = "f_id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "考试名称")
    @TableField("f_paper_name")
    private String paperName;

    @ApiModelProperty(value = "考试开始时间")
    @TableField("f_start_time")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "考试结束时间")
    @TableField("f_end_time")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "考试模式 1固定试题  2随机试题")
    @TableField("f_exam_type")
    private Integer examType;

    @ApiModelProperty(value = "考试规则")
    @TableField("f_exam_rule")
    private String examRule;

    @ApiModelProperty(value = "科目库id")
    @TableField("f_subject_id")
    private Long subjectId;

    @ApiModelProperty(value = "发布状态 1未发布 2已发布")
    @TableField("f_status")
    private Integer status;

    @ApiModelProperty(value = "组织id")
    @TableField("f_org_id")
    private Long orgId;

    @ApiModelProperty(value = "插入时间")
    @TableField("f_create_time")
    private LocalDateTime createTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
