package com.hydrogen.mbg.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(value = "列表查询基础Vo")
public class ListVO<T> {

    public ListVO() {
    }
    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @ApiModelProperty(value = "总记录数")
    private Long total;

    @ApiModelProperty(value = "数据集")
    private List<T> list;

    public ListVO(List<T> arr) {
        this.pageNum = 1;
        this.list = arr;
        this.total = (long)arr.size();
    }

    public ListVO(List<T> arr, Long total) {
        this.pageNum = 1;
        this.list = arr;
        this.total = total;
    }

    public ListVO(List<T> arr, Long total, Integer pageNum){
        this.pageNum = pageNum;
        this.list = arr;
        this.total = total;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }
}
